import './SliderBase.styles_p7vtw4.css';
import { styled } from '@linaria/react';

/**
 * Подпись слайдера
 */
var Label = /*#__PURE__*/styled('label')({
  name: "Label",
  "class": "l1darkvs",
  propsAsIs: false
});

/**
 * Обёртка вокруг иконки и подписи
 */
var LabelWrapper = /*#__PURE__*/styled('div')({
  name: "LabelWrapper",
  "class": "l1tgvt9r",
  propsAsIs: false
});

/**
 * Базовый контейнер слайдера
 */
var BaseSliderContainer = /*#__PURE__*/styled('div')({
  name: "BaseSliderContainer",
  "class": "b1lmpr9z",
  propsAsIs: false
});

/**
 * Рельс (неактивная часть дорожки)
 */
var BaseStyledTrack = /*#__PURE__*/styled('div')({
  name: "BaseStyledTrack",
  "class": "b14jeo0l",
  propsAsIs: false
});

/**
 * Нативный range-input
 */
var _exp38 = function _exp38() {
  return function (_ref) {
    var showPointer = _ref.showPointer;
    return showPointer === false ? '0' : '1';
  };
};
var BaseStyledRange = /*#__PURE__*/styled('input')({
  name: "BaseStyledRange",
  "class": "b1hxvf8p",
  propsAsIs: false,
  vars: {
    "b1hxvf8p-0": [/*#__PURE__*/_exp38()]
  }
});

export { BaseSliderContainer, BaseStyledRange, BaseStyledTrack, Label, LabelWrapper };
